Update an endpoint
PATCH
/v1/webhook-endpoints/{id}
const url = 'https://api.fromenance.com/v1/webhook-endpoints/whe_01J8Z9X0Q3K4M5N6P7R8S9T0V1';const options = { method: 'PATCH', headers: { cookie: 'fromenance.session_token=<fromenance.session_token>', 'Content-Type': 'application/json' }, body: '{"url":"https://example.com","events":["verdict.created"],"status":"active","description":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.fromenance.com/v1/webhook-endpoints/whe_01J8Z9X0Q3K4M5N6P7R8S9T0V1 \ --header 'Content-Type: application/json' \ --cookie fromenance.session_token=<fromenance.session_token> \ --data '{ "url": "https://example.com", "events": [ "verdict.created" ], "status": "active", "description": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string
Example
whe_01J8Z9X0Q3K4M5N6P7R8S9T0V1Request Body
Section titled “Request Body”Media typeapplication/json
object
url
string format: uri
events
Array<string>
status
string
description
string | null
Responses
Section titled “ Responses ”Endpoint
Media typeapplication/json
object
id
required
string
url
required
string
events
required
Array<string>
status
required
string
description
required
string | null
last_delivery_at
required
string | null
last_status
required
integer | null
created_at
required
string
Examplegenerated
{ "id": "example", "url": "example", "events": [ "example" ], "status": "example", "description": "example", "last_delivery_at": "example", "last_status": 1, "created_at": "example"}